Partially update a dashboard by ID, allowing either a name change or modification of widget IDs (append or remove)
curl --request PATCH \
--url https://api.eu.bronto.io/dashboards/{dashboardId} \
--header 'Content-Type: application/json' \
--header 'X-BRONTO-API-KEY: <api-key>' \
--data '
{
"name": "Updated Dashboard Name"
}
'import requests
url = "https://api.eu.bronto.io/dashboards/{dashboardId}"
payload = { "name": "Updated Dashboard Name" }
headers = {
"X-BRONTO-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-BRONTO-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Dashboard Name'})
};
fetch('https://api.eu.bronto.io/dashboards/{dashboardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.bronto.io/dashboards/{dashboardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Updated Dashboard Name'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-BRONTO-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eu.bronto.io/dashboards/{dashboardId}"
payload := strings.NewReader("{\n \"name\": \"Updated Dashboard Name\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-BRONTO-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.eu.bronto.io/dashboards/{dashboardId}")
.header("X-BRONTO-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Updated Dashboard Name\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.bronto.io/dashboards/{dashboardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-BRONTO-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Updated Dashboard Name\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Application Performance Dashboard",
"id": "d47ac10b-58cc-4372-a567-0e02b2c3d479",
"description": "Overview of application metrics and performance indicators",
"widgets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "5xx errors by service",
"type": "area",
"sources": [
{
"type": "metric",
"id": "7a1c4e2b-0d3f-4a5b-8c6d-9e0f1a2b3c4d"
},
{
"type": "monitor",
"id": "3f9e2c1a-7b4d-4e8f-9a2b-1c3d5e7f9a0b"
}
],
"aux": {},
"description": "This widget shows the 5xx errors by service",
"metric_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"widget_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"metric_labels": {},
"layout": {
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
},
"tags": {
"region": "eu",
"environment": "production"
},
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arguments": {
"from": {
"value": {
"value": "a157b003-d5b8-4333-a3e2-7c7864300852"
}
},
"region": {
"value": {
"input": "region"
}
}
}
},
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 1791331200000
}
}
],
"layout": {
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
},
"tags": {
"region": "eu",
"environment": "production"
},
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arguments": {
"from": {
"value": {
"value": "a157b003-d5b8-4333-a3e2-7c7864300852"
}
},
"region": {
"value": {
"input": "region"
}
}
}
},
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 1791331200000
}
}{
"code": 404,
"type": "Not Found",
"correlation_id": "605f832bcfe44a1081441691c8d42253",
"details": "Resource not found."
}{
"code": 429,
"type": "Too Many Requests",
"correlation_id": "53909ed43c544531b7a555e295960437",
"details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window."
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}dashboards
Partially update a dashboard by ID, allowing either a name change or modification of widget IDs (append or remove)
PATCH
/
dashboards
/
{dashboardId}
Partially update a dashboard by ID, allowing either a name change or modification of widget IDs (append or remove)
curl --request PATCH \
--url https://api.eu.bronto.io/dashboards/{dashboardId} \
--header 'Content-Type: application/json' \
--header 'X-BRONTO-API-KEY: <api-key>' \
--data '
{
"name": "Updated Dashboard Name"
}
'import requests
url = "https://api.eu.bronto.io/dashboards/{dashboardId}"
payload = { "name": "Updated Dashboard Name" }
headers = {
"X-BRONTO-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-BRONTO-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Updated Dashboard Name'})
};
fetch('https://api.eu.bronto.io/dashboards/{dashboardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eu.bronto.io/dashboards/{dashboardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Updated Dashboard Name'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-BRONTO-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.eu.bronto.io/dashboards/{dashboardId}"
payload := strings.NewReader("{\n \"name\": \"Updated Dashboard Name\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-BRONTO-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.eu.bronto.io/dashboards/{dashboardId}")
.header("X-BRONTO-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Updated Dashboard Name\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eu.bronto.io/dashboards/{dashboardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-BRONTO-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Updated Dashboard Name\"\n}"
response = http.request(request)
puts response.read_body{
"name": "Application Performance Dashboard",
"id": "d47ac10b-58cc-4372-a567-0e02b2c3d479",
"description": "Overview of application metrics and performance indicators",
"widgets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "5xx errors by service",
"type": "area",
"sources": [
{
"type": "metric",
"id": "7a1c4e2b-0d3f-4a5b-8c6d-9e0f1a2b3c4d"
},
{
"type": "monitor",
"id": "3f9e2c1a-7b4d-4e8f-9a2b-1c3d5e7f9a0b"
}
],
"aux": {},
"description": "This widget shows the 5xx errors by service",
"metric_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"widget_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"metric_labels": {},
"layout": {
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
},
"tags": {
"region": "eu",
"environment": "production"
},
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arguments": {
"from": {
"value": {
"value": "a157b003-d5b8-4333-a3e2-7c7864300852"
}
},
"region": {
"value": {
"input": "region"
}
}
}
},
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 1791331200000
}
}
],
"layout": {
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
},
"tags": {
"region": "eu",
"environment": "production"
},
"template": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"arguments": {
"from": {
"value": {
"value": "a157b003-d5b8-4333-a3e2-7c7864300852"
}
},
"region": {
"value": {
"input": "region"
}
}
}
},
"metadata": {
"created_at": 123,
"created_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"modified_at": 123,
"modified_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"deleted_at": 123,
"deleted_by": {
"type": "API_KEY_ID",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_heartbeat_at": 1791331200000
}
}{
"code": 404,
"type": "Not Found",
"correlation_id": "605f832bcfe44a1081441691c8d42253",
"details": "Resource not found."
}{
"code": 429,
"type": "Too Many Requests",
"correlation_id": "53909ed43c544531b7a555e295960437",
"details": "Rate limit exceeded. Maximum 100 requests are allowed within a 5-minute window."
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}{
"code": 500,
"type": "Internal Server Error",
"correlation_id": "b129b8e0e66c41aa9541a30f67e38ce2",
"details": "Internal Server Error"
}Authorizations
ApiKeyAuthBearerAuth
Path Parameters
The unique identifier of the Dashboard to update
Body
application/json
- Option 1
- Option 2
The new name of the dashboard
Response
Dashboard updated successfully
The name of the dashboard.
Example:
"Application Performance Dashboard"
Unique identifier of the dashboard.
Example:
"d47ac10b-58cc-4372-a567-0e02b2c3d479"
The description of the dashboard.
Example:
"Overview of application metrics and performance indicators"
The widgets included in this dashboard.
Show child attributes
Show child attributes
The position and size of each widget on the dashboard.
Show child attributes
Show child attributes
Example:
{
"widget_layouts": [
{
"id": "78739235-9aa7-4eca-b7f3-4cf6ee455b8f",
"x": 1.25,
"y": 2,
"w": 20,
"h": 5
}
]
}
A map of key value pairs associated with the resource
Show child attributes
Show child attributes
Example:
{
"region": "eu",
"environment": "production"
}
Show child attributes
Show child attributes
Common metadata attached to all persisted resources.
Show child attributes
Show child attributes
